Bug 1701950 - python2-gertty fails to install due to missing dependencies
Summary: python2-gertty fails to install due to missing dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gertty
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-04-22 14:30 UTC by Miro Hrončok
Modified: 2019-06-24 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-24 22:18:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-04-22 14:30:40 UTC
$ mock -r fedora-rawhide-x86_64 install python2-gertty
...
Error: 
 Problem: conflicting requests
  - nothing provides python2-urwid needed by python2-gertty-1.5.0-5.fc30.noarch


Please fix this or remove the package.

Comment 1 Miro Hrončok 2019-04-29 20:06:17 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 2 Miro Hrončok 2019-05-06 14:16:59 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(My previous comment might have come across a bit too aggressive. I'm sorry, that was not my intention.)

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 3 Miro Hrončok 2019-05-13 07:44:28 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 4 Miro Hrončok 2019-05-20 11:22:49 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 5 Kashyap Chamarthy 2019-05-20 11:33:07 UTC
(In reply to Miro Hrončok from comment #4)
> This bug is still in the NEW state and the package does not install. Please
> indicate you are working on a fix by setting the state to ASSIGNED. When
> this bug is four weeks in the NEW state, the package may be orphaned.

I just began to take a look at it.  Sorry for the delay; overwhelmed with multiple things.

Comment 6 Miro Hrončok 2019-05-20 11:37:05 UTC
Thanks. Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of.

Please don't forget to set that.

Comment 7 Kashyap Chamarthy 2019-05-20 11:37:54 UTC
(In reply to Miro Hrončok from comment #6)
> Thanks. Note that you don't have to actually fix this right now, setting the
> bug to ASSIGNED will just mark this as being worked on, so I'll know it is
> being taken care of.
> 
> Please don't forget to set that.

Done.  Thanks for the reminder.

Comment 8 Kashyap Chamarthy 2019-05-21 11:03:07 UTC
Fixed on Rawhide:

    https://src.fedoraproject.org/rpms/python-gertty/c/5f5d4bb49ab4eb915b942c546fe33c14f8c31f0f?branch=master
    Update to Python 3; new upstream release: 1.6.0

Build:

    https://koji.fedoraproject.org/koji/taskinfo?taskID=34974445

Comment 9 Fedora Update System 2019-05-21 11:30:46 UTC
python-gertty-1.6.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0fea8d0cbb

Comment 10 Fedora Update System 2019-05-22 01:44:11 UTC
python-gertty-1.6.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0fea8d0cbb


Note You need to log in before you can comment on or make changes to this bug.